<?php 

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelform library
jimport('joomla.application.component.modellist');

require_once JPATH_COMPONENT. '/helpers/general.php';

class ScheduleModelSchedules extends JModelList 
{
	/**
	 * Method to build an SQL query to load the list data.
	 *
	 * @return	string	An SQL query
	 */
	protected function getListQuery() 
	{
		// Create a new query object.
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);

		// Select some fields
		$query->select('s.*');

		// From the questions table
		$query->from('#__schedule_summary s');
        
        $query->select('e.name, e.title');
		$query->join('LEFT', '#__schedule_event e ON e.id = s.event_id');
        
		return $query;
	} 
    
    public function getItems()
    {
        $items = parent::getItems();
        return $this->prepareItems($items);
    } 
    
    private function prepareItems($items)
    {
        $data = array();
        
        foreach($items as $item) {            
            $data[$item->line_id][$item->day_id] = $item;
        }
        
        return $data;        
    }
    
    public function getCols()
    {
        return GeneralScheduleHelper::getCols();              
    }   
    
    public function getRows()
    {
        return GeneralScheduleHelper::getRows();      
    } 
}